gnome-sharp 2.20.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Base class for rectangle and ellipse items

This forms a base class for rectangle and ellipse canvas items.

Gnome.CanvasShape
- Constructor
  Internal constructor
  Pointer to the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  System.Double Rightmost coordinate of rectangle or ellipse. Rightmost coordinate of rectangle or ellipse. GLib.Property("x2")
- Property
  System.Double Leftmost coordinate of rectangle or ellipse. Leftmost coordinate of rectangle or ellipse. GLib.Property("x1")
- Property
  System.Double Bottommost coordinate of rectangle or ellipse. Bottommost coordinate of rectangle or ellipse. GLib.Property("y2")
- Property
  System.Double Topmost coordinate of rectangle or ellipse. Topmost coordinate of rectangle or ellipse. GLib.Property("y1")
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
  System.Obsolete
- Constructor
  To be added
  a
  a
  To be added
- Constructor
  To be added
  To be added